Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693296 - Unable to Add new Hosts to the Engine
Summary: Unable to Add new Hosts to the Engine
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Shirly Radco
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-27 13:26 UTC by Evgeny Slutsky
Modified: 2019-04-04 13:21 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-metrics-1.2.1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 98763 master MERGED Encrypt passwords for Metrics installation 2019-03-27 14:04:45 UTC

Description Evgeny Slutsky 2019-03-27 13:26:57 UTC
Description of problem:

running metrics deployment  requires encrypting the /etc/ovirt-engine-metrics/secure_vars.yaml.example file.

this produce 2 issue:
1. after the encryption its permission changed to 600. (ovirt cannot read it)

19-03-27 15:08:03,350 p=6873 u=ovirt |  fatal: [hades03.lab.eng.tlv2.redhat.com -> localhost]: FAILED! => {
    "ansible_facts": {},
    "ansible_included_var_files": [],
    "changed": false,
    "message": "an error occurred while trying to read the file '/etc/ovirt-engine-metrics/secure_vars.yaml': [Errno 13] Permission denied: '/etc/ovirt-engine-metrics/secure_vars.yaml'"
}
2. ansible doesnt know how to decrypt it:
2019-03-27 15:19:52,982 p=7808 u=ovirt |  fatal: [hades03.lab.eng.tlv2.redhat.com -> localhost]: FAILED! => {
    "ansible_facts": {},
    "ansible_included_var_files": [],
    "changed": false,
    "message": "Attempting to decrypt but no vault secrets found"
}



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install rhv engine
2. try to add host.


Actual results:
host cannot be added to the engine

Expected results:
host added to the engine

Additional info:

Comment 1 Evgeny Slutsky 2019-04-03 13:57:02 UTC
Verified, Issue resolved.


Note You need to log in before you can comment on or make changes to this bug.